org.jgroups

## Interface Transport

All Known Implementing Classes:
  Channel, JChannel, MuxChannel, ProtocolStack

    public interface Transport

Defines a very small subset of the functionality of a channel, essentially only the methods for sending and receiving messages. Many building blocks require nothing else than a bare-bones facility to send and receive messages; therefore the Transport interface was created. It increases the genericness and portability of building blocks: being so simple, the Transport interface can easily be ported to a different toolkit, without requiring any modifications to building blocks.

### Method Summary

Methods
`java.lang.Object` `receive(long timeout)`
`void` `send(Message msg)`

### Method Detail

#### send

    void send(Message msg)
              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### receive

    java.lang.Object receive(long timeout)
                             throws java.lang.Exception

Throws:
  `java.lang.Exception`